For Developers

List Service Accounts

GET https://ed.link/api/v2/teams/:team_id/service_accounts

Returns all service accounts active on the team.

Permissions

Requires the tokens.read system permission.

Parameters

ParameterTypeRequiredDescription
:team_idUUIDYesThe ID of the team.

Sample Request

const response = await axios.get(
    `https://ed.link/api/v2/teams/${team_id}/service_accounts`,
    {
        headers: {
            authorization: `Bearer ${user_session_token}`
        }
    }
);

Sample Response

{
    "$data": [
        {
            "id": "8b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
            "name": "GitHub Actions Deployer",
            "created_date": "2024-05-10T14:00:00.000Z"
        }
    ]
}